Summary: A GNU tool which simplifies the build process for users.
Name: make
Version: 3.78.1
Release: 1
Group: Development/Tools
Copyright: GPL
Packager: Hao Li <hli@wag.caltech.edu>
Source: ftp://ftp.gnu.org/gnu/make/make-%{version}.tar.gz
Buildroot: /var/tmp/%{name}-root
 
%description
A GNU tool for controlling the generation of executables and other
non-source files of a program from the program's source files.  Make
allows users to build and install packages without any significant
knowledge about the details of the build process.  The details about how
the program should be built are provided for make in the program's
makefile.

The GNU make tool should be installed on your system because it is
commonly used to simplify the process of installing programs.


%prep
%setup -q


%build
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr
rm -f make.info*
make MAKEINFO="makeinfo --no-split" all make.ps
gzip -9f make.ps


%install
rm -rf $RPM_BUILD_ROOT
make prefix=$RPM_BUILD_ROOT/usr install-strip
gzip -9f $RPM_BUILD_ROOT/usr/info/make.info
ln -sf make $RPM_BUILD_ROOT/usr/bin/gmake


%post
/sbin/install-info /usr/info/make.info.gz /usr/info/dir

%preun
if [ $1 = 0 ]; then
    /sbin/install-info --delete /usr/info/make.info.gz /usr/info/dir
fi


%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README make.ps.gz
/usr/bin/*
/usr/man/man*/*
/usr/info/*


%clean
rm -rf $RPM_BUILD_ROOT
